import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleCuSum extends JFrameChart {        
    public SampleCuSum() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        CuSum cusum = new CuSum(axis, SampleEWMA.data);
        cusum.setExpectedMean(10.0);
        
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("CuSum");
    }
        
    public static void main(String argv[]) {
        new SampleCuSum().setVisible(true);
    }
}